package com.xmomen.module.system.model;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by Jeng on 16/3/20.
 */
public class LogModel implements Serializable{

    // 用户ID
    private Integer userId;
    // 动作名称
    private String actionName;
    // 动作日期
    private Date actionDate;
    // 客户端IP
    private String clientIp;
    // 动作参数
    private String actionParams;
    // 动作结果
    private String actionResult;
    // 备注
    private String remark;

    // 获取用户ID
    public Integer getUserId() {
        return userId;
    }

    // 设置用户ID
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    // 获取动作名称
    public String getActionName() {
        return actionName;
    }

    // 设置动作名称
    public void setActionName(String actionName) {
        this.actionName = actionName;
    }

    // 获取客户端IP
    public String getClientIp() {
        return clientIp;
    }

    // 设置客户端IP
    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    // 获取动作日期
    public Date getActionDate() {
        return actionDate;
    }

    // 设置动作日期
    public void setActionDate(Date actionDate) {
        this.actionDate = actionDate;
    }

    // 获取动作参数
    public String getActionParams() {
        return actionParams;
    }

    // 设置动作参数
    public void setActionParams(String actionParams) {
        this.actionParams = actionParams;
    }

    // 获取动作结果
    public String getActionResult() {
        return actionResult;
    }

    // 设置动作结果
    public void setActionResult(String actionResult) {
        this.actionResult = actionResult;
    }

    // 获取备注
    public String getRemark() {
        return remark;
    }

    // 设置备注
    public void setRemark(String remark) {
        this.remark = remark;
    }
}
